summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-08-31 09:27:32 -0400
committerJames Forsyth <jf2512@att.com>2017-08-31 16:21:47 +0000
commit6c13945fc40be3ae61f92c88e52d4c82cc470ad6 (patch)
tree268f88e8f5d1339d22ac1eddacdb8f62b7daa9a2
parent78483b9ce83aa7988fd4abea96fc5de39b9fad5a (diff)
Add better logging to deploy scripts to figure out
startup issue where data is not being loaded as expected Issue-ID: AAI-238 Change-Id: I9c18e6ffc4fa51a2be5c8176260861a375d051dd Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
-rwxr-xr-xdeploy_vm1.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/deploy_vm1.sh b/deploy_vm1.sh
index 896e4cd..8d732e7 100755
--- a/deploy_vm1.sh
+++ b/deploy_vm1.sh
@@ -155,7 +155,12 @@ wait_for_container $GRAPH_CONTAINER_NAME '0.0.0.0:8446';
# deploy
$DOCKER_COMPOSE_CMD up -d aai.api.simpledemo.openecomp.org
+echo "A&AI Microservices, resources and traversal, are up and running along with HAProxy";
-docker exec -it $GRAPH_CONTAINER_NAME "/opt/app/aai-traversal/scripts/install/updateQueryData.sh";
+docker exec -it $GRAPH_CONTAINER_NAME "/opt/app/aai-traversal/scripts/install/updateQueryData.sh" && {
+ echo "Successfully loaded the widget related data into db";
+} || {
+ echo "Unable to load widget related data into db";
+}
$DOCKER_COMPOSE_CMD up -d model-loader datarouter aai.searchservice.simpledemo.openecomp.org